﻿using Syncfusion.SfImageEditor.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Resources;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ImageEditor_SimpleSample
{
	public partial class MainPage : ContentPage
	{
        public MainPage()
        {
            InitializeComponent();
           imageeditor.Source = ImageSource.FromResource("ImageEditor_SimpleSample.image3.png",GetType().GetTypeInfo().Assembly);
            imageeditor.ToolbarSettings.ToolbarItems.Add(new FooterToolbarItem()
            {
                Text="AddText"
            });
            imageeditor.ToolbarSettings.ToolbarItemSelected += ToolbarSettings_ToolbarItemSelected;
        }

        private void ToolbarSettings_ToolbarItemSelected(object sender, ToolbarItemSelectedEventArgs e)
        {
            string text = e.ToolbarItem.Text;
            if(text == "AddText")
            {
                imageeditor.AddText("NewText", new TextSettings()
                {
                    Bounds = new Rectangle(0,80,25,10)
                });
            }
        }
    }
}
